WAKE_UP_ATOMIC_T(9)

NAME
wake_up_atomic_t - Wake up a waiter on a atomic_t

SYNOPSIS

void wake_up_atomic_t(atomic_t * p);

ARGUMENTS

p
    The atomic_t being waited on, a kernel virtual address

DESCRIPTION

Wake up anyone waiting for the atomic_t to go to zero.

Abuse the bit-waker function and its waitqueue hash table set (the atomic_t check is done by the waiter's wake function, not the by the waker itself).

COPYRIGHT